# ACEXML_SAXNotRecognizedException Class Reference

ACEXML_SAXNotRecognizedException. More...

`#include <ACEXML/common/SAXExceptions.h>`

Inheritance diagram for ACEXML_SAXNotRecognizedException:

[legend]
Collaboration diagram for ACEXML_SAXNotRecognizedException:

[legend]
List of all members.

## Public Member Functions

| ACEXML_SAXNotRecognizedException (void)
| Default constructor.
| ACEXML_SAXNotRecognizedException (const ACEXML_Char *msg)
| Constructor with an initializing exception message.
| ACEXML_SAXNotRecognizedException (const ACEXML_SAXNotRecognizedException &ex)
| Copy constructor.
ACEXML_SAXNotRecognizedException & | operator= (const ACEXML_SAXNotRecognizedException &ex)
| Assignment operator.
virtual | ~ACEXML_SAXNotRecognizedException (void)
| Destructor.
virtual void | _raise (void)
| Throw the exception.
virtual const ACEXML_Char * | id (void) const
| Return the name of the exception.
virtual ACEXML_Exception * | duplicate (void) const
| Dynamically create a copy of this exception.
virtual int | is_a (const ACEXML_Char *name)
| Check whether this is an exception of type specified by <name>.
virtual void | print (void)
| Print out exception using ACE_DEBUG.

## Static Public Member Functions

ACEXML_SAXNotRecognizedException * | _downcast (ACEXML_Exception *ex)
| Static narrow operation.

## Static Protected Attributes

const ACEXML_Char * | exception_name_ = ACE_TEXT ("ACEXML_SAXNotRecognizedException")

## Detailed Description

ACEXML_SAXNotRecognizedException.

## Constructor & Destructor Documentation

ACEXML_SAXNotRecognizedException::ACEXML_SAXNotRecognizedException | ( | void |  | ) |

| Default constructor.

ACEXML_SAXNotRecognizedException::ACEXML_SAXNotRecognizedException | ( | const ACEXML_Char * | msg | ) |

| Constructor with an initializing exception message.

ACEXML_SAXNotRecognizedException::ACEXML_SAXNotRecognizedException | ( | const ACEXML_SAXNotRecognizedException & | ex | ) |

| Copy constructor.

ACEXML_SAXNotRecognizedException::~ACEXML_SAXNotRecognizedException | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

ACEXML_SAXNotRecognizedException * ACEXML_SAXNotRecognizedException::_downcast | ( | ACEXML_Exception * | ex | ) | `[static]`

| Static narrow operation. Reimplemented from ACEXML_SAXException.

ACEXML_INLINE void ACEXML_SAXNotRecognizedException::_raise | ( | void |  | ) | `[virtual]`

| Throw the exception. Reimplemented from ACEXML_SAXException.

ACEXML_Exception * ACEXML_SAXNotRecognizedException::duplicate | ( | void |  | ) | const`[virtual]`

| Dynamically create a copy of this exception. Reimplemented from ACEXML_SAXException.

ACEXML_INLINE const ACEXML_Char * ACEXML_SAXNotRecognizedException::id | ( | void |  | ) | const`[virtual]`

| Return the name of the exception. Reimplemented from ACEXML_SAXException.

int ACEXML_SAXNotRecognizedException::is_a | ( | const ACEXML_Char * | name | ) | `[virtual]`

| Check whether this is an exception of type specified by <name>. Reimplemented from ACEXML_SAXException.

ACEXML_SAXNotRecognizedException & ACEXML_SAXNotRecognizedException::operator= | ( | const ACEXML_SAXNotRecognizedException & | ex | ) |

| Assignment operator.

void ACEXML_SAXNotRecognizedException::print | ( | void |  | ) | `[virtual]`

| Print out exception using ACE_DEBUG. Reimplemented from ACEXML_SAXException.

## Member Data Documentation

const ACEXML_Char * ACEXML_SAXNotRecognizedException::exception_name_ = ACE_TEXT ("ACEXML_SAXNotRecognizedException")`[static, protected]`

| All exceptions have names. This name is used to identify the type of an exception. Reimplemented from ACEXML_SAXException.

The documentation for this class was generated from the following files:

- SAXExceptions.h
- SAXExceptions.cpp
- SAXExceptions.i